/* 
    graph.h for v4l frame grabber driver

    Copyright (C) 1999 Marcus Metzler (mocm@metzlerbros.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef GRAPHS_H
#define GRAPHS_H

#include <iostream.h>
#include <iomanip.h>
#include <fstream.h>
#include <string.h>
#include <strstream.h>
#include <unistd.h>
#include <stdlib.h>

#include "channel.hh"


//#define HEX(N) hex << setw(N) << setfill(int('0'))
#define DEC(N) dec << setw(N) << setfill(int('0'))
#define STRSIZE 80


enum { DUMMY, CAPOO, TV, VID1, VID2, VID3, VID4, OVERLAY, UP, DOWN, FULL,
	    RECORD, PLAY, STOP, PAUSE, FFWD, FBWD, FSKP, BSKP };


void init_graphics(char *dev, int bpp, int norm, int remote, int oo,
		   int ch);
void CreateToolbar(GtkWidget * vbox_main);
void quit();
GtkWidget *CreateMenuItem(GtkWidget * menu,
			  char *szName,
			  char *szAccel,
			  char *szTip, GtkSignalFunc func, gpointer data);

GtkWidget *CreateBarSubMenu(GtkWidget * menu, char *szName);
GtkWidget *CreateWidgetFromXpm(GtkWidget * window, gchar ** xpm_data);
void set_list(GtkCList * clist);
void status_message(char *buf);
void switches(GtkWidget * widget, gpointer data);
void stopped(GtkWidget * gtv, gpointer data);
#endif
