#include <gtk/gtk.h>
#include "graphs.hh"
#include "gdvb.hh"
#include "player_xpm.h"

extern Gtvscreen *gwidget;
extern GtkAccelGroup *accel_group;

void show_player(GtkWidget * w, gpointer data)
{
	static int visible = 0;
	GtkWidget *widget = GTK_WIDGET(data);


	if (visible) {
		gtk_widget_hide(widget);
		visible = 0;
	} else {
		gtk_widget_show(widget);
		visible = 1;
	}
}

GtkWidget *create_tpwindow ()
{
	GtkWidget *tpwindow, *vbox1, *menubar1, *file1;
	GtkWidget *device1, *menuitem;
	GtkWidget *handlebox, *tool;
	GtkWidget *time, *status;

	tpwindow = gtk_window_new (GTK_WINDOW_POPUP);
	gtk_object_set_data (GTK_OBJECT (tpwindow), "tpwindow", tpwindow);
	gtk_window_set_title (GTK_WINDOW (tpwindow), "TuxPlayer");
	gtk_window_set_default_size (GTK_WINDOW (tpwindow), 100, 50);
	gtk_window_set_policy (GTK_WINDOW (tpwindow), FALSE, FALSE, FALSE);
	
	vbox1 = gtk_vbox_new (FALSE, 0);
	gtk_widget_show (vbox1);
	gtk_container_add (GTK_CONTAINER (tpwindow), vbox1);
	
	
	menubar1 = gtk_menu_bar_new ();
	gtk_widget_show (menubar1);
	gtk_box_pack_start (GTK_BOX (vbox1), menubar1, TRUE, TRUE, 0);
	
	file1 = CreateBarSubMenu(menubar1,"File");

	int mpgd;
	gtvscreen_get_values(gwidget, GTV_MPGD, &mpgd);
	int mpge;
	gtvscreen_get_values(gwidget, GTV_MPGD, &mpge);

	if (mpgd)
		menuitem = CreateMenuItem(file1, "Set Play File", "^l",
					  "Set Play File",
					  GTK_SIGNAL_FUNC(load), NULL);

	if (mpge)
		menuitem = CreateMenuItem(file1, "Set Record File", "^s",
					  "Set Record File",
					  GTK_SIGNAL_FUNC(save), NULL);



	device1 = CreateBarSubMenu(menubar1,"Device");

	
	handlebox = gtk_handle_box_new();
	gtk_box_pack_start(GTK_BOX(vbox1), handlebox, FALSE, FALSE, 0);

	
	GtkWidget *pixi;


	GtkWidget *toolbar;
	toolbar =
	    gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_container_add(GTK_CONTAINER(handlebox), toolbar);
	gtk_widget_show(toolbar);
	
	tool = NULL;

	if (mpgd){
		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_fskp);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_BUTTON,
						   NULL,
						   "FSkp", "FSkp", "FSkp", 
						   pixi, 
						   (GtkSignalFunc) switches,
						   gpointer(FSKP));


//		gtk_signal_connect(GTK_OBJECT(gwidget), "chfskp",
//				   GTK_SIGNAL_FUNC(ffwd), (gpointer) tool);

		
		tool = NULL;
		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_ffwd);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_RADIOBUTTON,
						   tool,
						   "FFwd", "FFwd", "FFwd", 
						   pixi, 
						   (GtkSignalFunc) switches,
						   gpointer(FFWD));

//		gtk_signal_connect(GTK_OBJECT(gwidget), "chffwd",
//				   GTK_SIGNAL_FUNC(ffwd), (gpointer) tool);
	}
	
	if (mpgd || mpge){

		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_stop);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_RADIOBUTTON,
						   tool,
						   "Stop", "Stop", "Stop", 
						   pixi, 
						   (GtkSignalFunc) switches,
						   gpointer(STOP));
		gtk_signal_connect(GTK_OBJECT(gwidget), "chstop",
				   GTK_SIGNAL_FUNC(stopped), (gpointer) tool);
		gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (tool), TRUE);
		
		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_pause);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_RADIOBUTTON,
						   tool,
						   "Pause", "Pause", "Pause", 
						   pixi,
						   (GtkSignalFunc) switches,
						   gpointer(PAUSE));
		gtk_signal_connect(GTK_OBJECT(gwidget), "chpause",
				   GTK_SIGNAL_FUNC(stopped), (gpointer) tool);
	}
	if (mpgd){
		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_play);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_RADIOBUTTON,
						   tool,
						   "Play", "Play", "Play", 
						   pixi,
						   (GtkSignalFunc) switches,
						   gpointer(PLAY));
		gtk_signal_connect(GTK_OBJECT(gwidget), "chplay",
				   GTK_SIGNAL_FUNC(stopped), (gpointer) tool);
	}
	
	if (mpge){
		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_record);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_RADIOBUTTON,
						   tool,
						   "Record", "Record", 
						   "Record",
						   pixi, 
						   (GtkSignalFunc) switches,
						   gpointer(RECORD));
		gtk_signal_connect(GTK_OBJECT(gwidget), "chrecord",
				   GTK_SIGNAL_FUNC(stopped), (gpointer) tool);
	}
	
	if (mpgd){
	  
		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_fbwd);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_RADIOBUTTON,
						   tool,
						   "FBwd", "FBwd", "FBwd", 
						   pixi, 
						   (GtkSignalFunc) switches,
						   gpointer(FFWD));


//		gtk_signal_connect(GTK_OBJECT(gwidget), "chfbwd",
//				   GTK_SIGNAL_FUNC(fbwd), (gpointer) tool);

		pixi = CreateWidgetFromXpm(handlebox, (gchar **) xpm_bskp);
		tool = gtk_toolbar_prepend_element(GTK_TOOLBAR(toolbar),
						   GTK_TOOLBAR_CHILD_BUTTON,
						   NULL,
						   "BSkp", "BSkp", "BSkp", 
						   pixi, 
						   (GtkSignalFunc) switches,
						   gpointer(FSKP));


//		gtk_signal_connect(GTK_OBJECT(gwidget), "chbskp",
//				   GTK_SIGNAL_FUNC(bskp), (gpointer) tool);

	}

	
	gtk_widget_show(handlebox);

	time = gtk_progress_bar_new ();
	
	gtk_widget_show (time);
	gtk_box_pack_start (GTK_BOX (vbox1), time, FALSE, FALSE, 0);
	gtk_progress_set_activity_mode (GTK_PROGRESS (time), TRUE);
	gtk_progress_set_show_text (GTK_PROGRESS (time), TRUE);
	
	status = gtk_statusbar_new ();
	gtk_widget_show (status);
	gtk_box_pack_start (GTK_BOX (vbox1), status, FALSE, FALSE, 0);
	
	/*
	  gtk_signal_connect (GTK_OBJECT (file1), "activate",
			    GTK_SIGNAL_FUNC (on_file1_activate),
			    NULL);
	gtk_signal_connect (GTK_OBJECT (device1), "activate",
			    GTK_SIGNAL_FUNC (on_device1_activate),
			    NULL);
	
	*/	
	return tpwindow;
}

