// Vereinbarung der Command/Message Codes und der Statusbits
// Verwendung im ARM  UND  im C++ Projekt

#define	GPMQFull	0x0001			//Main Message Queue Full
#define	GPMQOver	0x0002			//Main Message Queue Overflow
#define	HPQFull		0x0004			//High Priority Msg Queue Full
#define	HPQOver		0x0008
#define	OSDQFull	0x0010			//OSD Queue Full
#define	OSDQOver	0x0020

#define	SECTION_EIT			0x01
#define	SECTION_SINGLE		0x00
#define	SECTION_CYCLE		0x02
#define	SECTION_CONTINUOS	0x04
#define	SECTION_MODE		0x06
#define SECTION_IPMPE		0x0C	// bis zu 4k gro
#define SECTION_HIGH_SPEED	0x1C	// vergrerter Puffer fr High Speed Filter
#define DATA_PIPING_FLAG	0x20	// fr Data Piping Filter

#define	PBUFSIZE_NONE 0x0000
#define	PBUFSIZE_1P   0x0100
#define	PBUFSIZE_2P   0x0200
#define	PBUFSIZE_1K   0x0300
#define	PBUFSIZE_2K   0x0400
#define	PBUFSIZE_4K   0x0500
#define	PBUFSIZE_8K   0x0600
#define PBUFSIZE_16K  0x0700
#define PBUFSIZE_32K  0x0800

#define	CMD_IF_FREE		0
#define	CMD_IF_IN_USE	0xFFFF

typedef enum {	
        WCreate,
	WDestroy,
	WMoveD,
	WMoveA,
	WHide,
	WTop,
	DBox,
	DLine,
	DText,
	Set_Font,
	SetColor,
	SetBlend,
	SetWBlend,
	SetCBlend,
	SetNonBlend,
	LoadBmp,
	BlitBmp,
	ReleaseBmp,
	SetWTrans,
	SetWNoTrans
} OSDCOM;

typedef enum { 
        VideoPID,
	AudioPID,
	WaitVideoPlay,
	WaitUnMute,
	InitFilt,
	AddFilt8,
	AddFilt16,
	DeleteFilt,
	FiltError,
	RecSection,
	NewVersion,
	CacheError,
	SetFiltBytes,
	SetRange,
	AddSecFilt,
	AddRangeFilt,
	AddFilt12,
	MultiPID,
	AddPIDFilter,
	DelPIDFilter,
	TestSec
} PIDCOM;
			
typedef enum {
        SelAudChannels
} MPEGCOM;

typedef enum  { 
        AudioDAC,
	CabADAC,
	ON22K,
	OFF22K,
	MainSwitch,
	ADSwitch,
	SendDiSEqC,
	OFDM_Channel,
	OFDM_Guard,
	OFDM_MpegBer,
	SetRegister,
	SetIrControl,
	LoadTTuner
} AUDCOM;

typedef enum  { 
        TTXEnable,
	TTXDisable,
	ModifyTable,
	ReqestP29_P830,
	NoPageMemory,
	NoPESMemory, 
	PESPacket,
	TTXPage,
	P29_P830,
	DroppedPages
} TTXCOM;

typedef enum  {
        AudioState,
	AudioBuffState,
	VideoState1,
	VideoState2,
	VideoState3,
	CrashCounter,
	ReqVersion,
	ReqVCXO,
	ReqRegister
} REQCOM;

typedef enum  {
        SetVidMode,
	SetTestMode,
	LoadVidCode,
	SetMonitorType,
	SetPanScanType,
	SetFreezeMode
} ENC;

typedef enum  { 
        IncCrashCounter,
	dummy
} SYSTEM;

typedef enum  { 
        __Record,
	__Stop,
	__Play,
	__Pause,
	__Slow,
	__FF_IP,
	__Scan_I
} REC_PLAY;

typedef enum  { 
        COMTYPE_NOCOM,		//0
	COMTYPE_TUNER,
	COMTYPE_DEMODULATOR,	//2
	COMTYPE_DESCRAMBLE,
	COMTYPE_PIDFILTER,	//4
	COMTYPE_MPEGDECODER,
	COMTYPE_OSD,		//6
	COMTYPE_BMP,
	COMTYPE_ENCODER,	//8
	COMTYPE_CONFACCESS,
	COMTYPE_I2C,		//a
	COMTYPE_AUDIODAC,
	COMTYPE_TELETEXT,	//c
	COMTYPE_REQUEST,
	COMTYPE_SYSTEM,		//e
	COMTYPE_REC_PLAY,
	COMTYPE_COMMON_IF,	//10
	COMTYPE_PID_FILTER,
        COMTYPE_PES
} COMTYPE;

